# Changelog

Все заметные изменения в этом проекте фиксируются в этом файле.
Формат основан на [Keep a Changelog](https://keepachangelog.com/) и придерживается принципов [Semantic Versioning](https://semver.org/).

## [Unreleased]

### Added
- Переводы в переопределениях (за подробностями в документацию)


### Changed
- Оптимизированны обложки автоинсталлов


### Fixed


### Contributors
- @Vector_null

---

## [0.1.3] - 2025-07-05

### Added
- Аргумент `--session` для запуска приложения в gamescope (Исключительно в целях тестирования)
- Начальная поддержка EGS (Без EOS, скачивания игр и запуска игр из сторонних магазинов)
- Автодополнение bash для комманды portprotonqt
- Поддержка геймпадов в диалоге выбора игры
- Быстрый запуск и остановка игры через контекстное меню
- Иконки в контекстом меню
- Обложки для части автоинсталлов

### Changed
- Удалены сборки для Fedora 40
- Перенесены параметры анимации GameCard в `styles.py` с подробной документацией для поддержки кастомизации тем.
- Статус выделения и наведения на карточки теперь взаимоисключают друг друга
- Все desktop файлы создаются с коментарием "Запустить игру {название} через PortProton"
- Заполнители в переводах теперь стали более осмысленными
- Изменена компоновка диалога добавления игры для лучшего отображения в Gamescope
- Текст бейджей теперь обрезается через ... если не помещается

### Fixed
- Дублирование обводки выделения карточек при быстром перемешении мыши
- Завершение приложения при закритие окна
- Использование системной палитры в темах
- Ошибки темы в нативном пакете
- Ошибки темы в Gamescope
- Размер иконок для desktop файлов теперь 128x128
- Пустая область при обновлении сетки игр
- Запуск игры при открытом оверлее

### Contributors
- @Dervart
- @Vector_null

---

## [0.1.2] - 2025-06-15

### Added
- Кнопки сброса настроек и очистки кэша
- Бейдж PortProton
- Зависимость от `xdg-utils`
- Интеграция статуса WeAntiCheatYet в карточку
- Переключение полноэкршанного режима через F11 или кнопку Select на геймпаде
- Выбор состояния `QCheckBox` через Enter или кнопку A на геймпаде
- Закрытие диалога добавления игры через ESC или кнопку B на геймпаде
- Закрытие окна приложения по комбинации клавиш Ctrl+Q
- Сохранение и восстановление размера окна при перезапуске
- Переключатель полноэкранного режима приложения
- Пункт в контекстном меню «Открыть папку игры»
- Пункты в контекстном меню «Добавить в Steam» и «Удалить из Steam»
- Пункты в контекстном меню «Добавить в Избранное» и «Удалить из Избранного»
- Метод сортировки «Сначала избранное»
- Настройка автоматического перехода в полноэкранный режим при подключении геймпада (по умолчанию отключена)
- Поддержка управления геймпадом в `QMenu` и `QComboBox`
- Аргумент `--fullscreen` для запуска приложения в полноэкранном режиме
- Оверлей на кнопку  Insert или кнопку Xbox/PS на геймпаде для закрытия приложения, выключения, перезагрузки и перехода в спящий режим или переключения между сессиями
- [Gamescope сессия](https://git.linux-gaming.ru/Boria138/gamescope-session-portprotonqt)
- Пресеты управления для DualShock 4 и DualSense
- Настройка тактильной отдачи на геймпаде при запуске игры (по умолчанию выключена)
- Переводы пунктов настроек

### Changed
- Обновлены все иконки
- Переименована функция `_get_steam_home` в `get_steam_home`
- Переименован `steam_game` в `game_source`
- Логика контекстного меню вынесена в `ContextMenuManager`
- Бейдж Steam теперь открывает Steam Community
- Изменена лицензия с MIT на GPL-3.0 для совместимости с кодом от legendary
- Оптимизирована генерация карточек для плавной работы при поиске и изменении размера окна
- Бейджи с карточек теперь отображаются также на странице с деталями, а не только в библиотеке
- Установлена ширина бейджа в две трети ширины карточки
- Бейджи источников (`Steam`, `EGS`, `PortProton`) теперь отображаются только при активном фильтре `all` или `favorites`
- Карточки теперь фокусируются в направлении движения стрелок или D-pad:
- Поддерживается удержание D-pad для непрерывного переключения карточек
- Объединён обработчик управления стрелками клавиатуры и D-pad для консистентности
- D-pad больше не переключает вкладки (только кнопки RB/LB)
- Кнопка добавления игры больше не фокусируется
- Диалог добавления игры теперь открывается только в библиотеке
- Удалены все упоминания PortProtonQT из кода и заменены на PortProtonQt
- Размер карточек теперь меняется только при отпускании слайдера
- Слайдер теперь управляется через тригеры на геймпаде
- Диалог добавления игры теперь открывается на X, а не на Y

### Fixed
- Возврат к теме «standard» при выборе несуществующей темы
- Корректное открытие контекстного меню
- Запуск приложения при отсутствии `exiftool`
- Предотвращено бесконечное обращение к `get_portproton_location`
- Обновлены ссылки на документацию в README
- Устранён traceback при отсутствии обложек (placeholder)
- Устранены утечки памяти при загрузке обложек
- Исправлены ошибки при подключении геймпада
- Предотвращено многократное открытие диалога добавления игры через геймпад
- Корректная обработка событий геймпада во время игры
- Убийсво всех процессов "зомби" при закрытии программы

### Contributors
- @Vector_null
- @Dervart

---

## [0.1.1] – 2025-05-17

### Added
- Алфавитная сортировка библиотеки
- Проверка переводов через yaspeller
- Сборка Fedora-пакета
- Сборка AppImage

### Changed
- Удалён жёстко заданный размер окна
- Использован `icoextract` как Python-модуль

### Fixed
- Скрытие статус-бара
- Чтение списка Steam-игр
- Зависание GUI
- Сбой при повреждённом Steam

### Contributors
- @Vector_null
- @Dervart
- @alex2844

---

> См. подробности по каждому коммиту в истории репозитория.
